From 4c568ee27074d1cf617f30b9da91c60eabef6278 Mon Sep 17 00:00:00 2001
From: anonym <anonym@riseup.net>
Date: Tue, 3 Dec 2019 12:01:31 +0100
Subject: [PATCH 1/2] Install dependencies for our homegrown
 Sikuli-replacement.

Refs: #15460, #17293
---
 manifests/tester.pp | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/manifests/tester.pp b/manifests/tester.pp
index ea56a39f..b8d49629 100644
--- a/manifests/tester.pp
+++ b/manifests/tester.pp
@@ -25,6 +25,11 @@ class tails::tester (
     default => undef,
   }
 
+  $python_opencv_packages = $::lsbdistcodename ? {
+    stretch => ['python-opencv', 'python-pil'],
+    default => ['python3-opencv', 'python3-pil'],
+  }
+
   class { '::libvirt::host':
     qemu_security_driver => 'none',
   }
@@ -58,6 +63,7 @@ class tails::tester (
     'gawk',
     'git',
     'i18nspector',
+    'imagemagick',
     'libav-tools',
     'libcap2-bin',
     'libsikulixapi-java',
@@ -71,6 +77,7 @@ class tails::tester (
     'pry',
     'python-jabberbot',
     'python-potr',
+    *$python_opencv_packages,
     'qemu-kvm',
     'qemu-system-x86',
     'redir',
-- 
2.24.0

